<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:07 CET 2009 -->
<TITLE>
AbstractColumnToFluxDistributionConverter
</TITLE>

<META NAME="keywords" CONTENT="ch.javasoft.metabolic.efm.model.AbstractColumnToFluxDistributionConverter class">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="AbstractColumnToFluxDistributionConverter";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/AbstractColumnToFluxDistributionConverter.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../ch/javasoft/metabolic/efm/model/AbstractColumnInspectorModifier.html" title="class in ch.javasoft.metabolic.efm.model"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../ch/javasoft/metabolic/efm/model/AbstractModelPersister.html" title="class in ch.javasoft.metabolic.efm.model"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?ch/javasoft/metabolic/efm/model/AbstractColumnToFluxDistributionConverter.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="AbstractColumnToFluxDistributionConverter.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
ch.javasoft.metabolic.efm.model</FONT>
<BR>
Class AbstractColumnToFluxDistributionConverter&lt;N extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>,Col extends <A HREF="../../../../../ch/javasoft/metabolic/efm/column/Column.html" title="interface in ch.javasoft.metabolic.efm.column">Column</A>&gt;</H2>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../../../resources/inherit.gif" ALT="extended by "><B>ch.javasoft.metabolic.efm.model.AbstractColumnToFluxDistributionConverter&lt;N,Col&gt;</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD><A HREF="../../../../../ch/javasoft/metabolic/efm/model/ColumnToFluxDistributionConverter.html" title="interface in ch.javasoft.metabolic.efm.model">ColumnToFluxDistributionConverter</A>&lt;N,Col&gt;</DD>
</DL>
<DL>
<DT><B>Direct Known Subclasses:</B> <DD><A HREF="../../../../../ch/javasoft/metabolic/efm/model/canonical/CanonicalColumnToFluxDistributionConverter.html" title="class in ch.javasoft.metabolic.efm.model.canonical">CanonicalColumnToFluxDistributionConverter</A>, <A HREF="../../../../../ch/javasoft/metabolic/efm/model/nullspace/NullspaceColumnToFluxDistributionConverter.html" title="class in ch.javasoft.metabolic.efm.model.nullspace">NullspaceColumnToFluxDistributionConverter</A></DD>
</DL>
<HR>
<DL>
<DT><PRE>public abstract class <A HREF="../../../../../src-html/ch/javasoft/metabolic/efm/model/AbstractColumnToFluxDistributionConverter.html#line.64"><B>AbstractColumnToFluxDistributionConverter&lt;N extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>,Col extends <A HREF="../../../../../ch/javasoft/metabolic/efm/column/Column.html" title="interface in ch.javasoft.metabolic.efm.column">Column</A>&gt;</B></A><DT>extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A><DT>implements <A HREF="../../../../../ch/javasoft/metabolic/efm/model/ColumnToFluxDistributionConverter.html" title="interface in ch.javasoft.metabolic.efm.model">ColumnToFluxDistributionConverter</A>&lt;N,Col&gt;</DL>
</PRE>

<P>
The <code>AbstractColumnToFluxDistributionConverter</code> implements methods
 which are common to most implementations.
<P>

<P>
<HR>

<P>
<!-- =========== FIELD SUMMARY =========== -->

<A NAME="field_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Field Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../../../ch/javasoft/metabolic/efm/column/ColumnHome.html" title="interface in ch.javasoft.metabolic.efm.column">ColumnHome</A>&lt;<A HREF="../../../../../ch/javasoft/metabolic/efm/model/AbstractColumnToFluxDistributionConverter.html" title="type parameter in AbstractColumnToFluxDistributionConverter">N</A>,<A HREF="../../../../../ch/javasoft/metabolic/efm/model/AbstractColumnToFluxDistributionConverter.html" title="type parameter in AbstractColumnToFluxDistributionConverter">Col</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/metabolic/efm/model/AbstractColumnToFluxDistributionConverter.html#columnHome">columnHome</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../ch/javasoft/metabolic/efm/model/AbstractColumnToFluxDistributionConverter.html#AbstractColumnToFluxDistributionConverter(ch.javasoft.metabolic.efm.column.ColumnHome)">AbstractColumnToFluxDistributionConverter</A></B>(<A HREF="../../../../../ch/javasoft/metabolic/efm/column/ColumnHome.html" title="interface in ch.javasoft.metabolic.efm.column">ColumnHome</A>&lt;<A HREF="../../../../../ch/javasoft/metabolic/efm/model/AbstractColumnToFluxDistributionConverter.html" title="type parameter in AbstractColumnToFluxDistributionConverter">N</A>,<A HREF="../../../../../ch/javasoft/metabolic/efm/model/AbstractColumnToFluxDistributionConverter.html" title="type parameter in AbstractColumnToFluxDistributionConverter">Col</A>&gt;&nbsp;columnHome)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/metabolic/FluxDistribution.html" title="interface in ch.javasoft.metabolic">FluxDistribution</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/metabolic/efm/model/AbstractColumnToFluxDistributionConverter.html#createFluxDistributionFromColumn(ch.javasoft.metabolic.efm.config.Config, ch.javasoft.metabolic.efm.model.NetworkEfmModel, Col)">createFluxDistributionFromColumn</A></B>(<A HREF="../../../../../ch/javasoft/metabolic/efm/config/Config.html" title="class in ch.javasoft.metabolic.efm.config">Config</A>&nbsp;config,
                                                                 <A HREF="../../../../../ch/javasoft/metabolic/efm/model/NetworkEfmModel.html" title="interface in ch.javasoft.metabolic.efm.model">NetworkEfmModel</A>&nbsp;model,
                                                                 <A HREF="../../../../../ch/javasoft/metabolic/efm/model/AbstractColumnToFluxDistributionConverter.html" title="type parameter in AbstractColumnToFluxDistributionConverter">Col</A>&nbsp;column)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates a numeric flux distribution from a binary column.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected abstract &nbsp;<A HREF="../../../../../ch/javasoft/metabolic/FluxDistribution.html" title="interface in ch.javasoft.metabolic">FluxDistribution</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/metabolic/efm/model/AbstractColumnToFluxDistributionConverter.html#createFluxDistributionFromColumn(ch.javasoft.util.logging.LogFragmenter, ch.javasoft.metabolic.efm.config.Config, ch.javasoft.metabolic.efm.model.NetworkEfmModel, Col, ch.javasoft.metabolic.efm.output.CallbackGranularity)">createFluxDistributionFromColumn</A></B>(<A HREF="../../../../../ch/javasoft/util/logging/LogFragmenter.html" title="class in ch.javasoft.util.logging">LogFragmenter</A>&nbsp;log,
                                                                 <A HREF="../../../../../ch/javasoft/metabolic/efm/config/Config.html" title="class in ch.javasoft.metabolic.efm.config">Config</A>&nbsp;config,
                                                                 <A HREF="../../../../../ch/javasoft/metabolic/efm/model/NetworkEfmModel.html" title="interface in ch.javasoft.metabolic.efm.model">NetworkEfmModel</A>&nbsp;model,
                                                                 <A HREF="../../../../../ch/javasoft/metabolic/efm/model/AbstractColumnToFluxDistributionConverter.html" title="type parameter in AbstractColumnToFluxDistributionConverter">Col</A>&nbsp;column,
                                                                 <A HREF="../../../../../ch/javasoft/metabolic/efm/output/CallbackGranularity.html" title="enum in ch.javasoft.metabolic.efm.output">CallbackGranularity</A>&nbsp;granularity)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/metabolic/efm/model/AbstractColumnToFluxDistributionConverter.html#writeColumnsToCallback(ch.javasoft.metabolic.efm.config.Config, ch.javasoft.metabolic.efm.model.NetworkEfmModel, java.lang.Iterable, ch.javasoft.metabolic.efm.output.EfmOutputCallback)">writeColumnsToCallback</A></B>(<A HREF="../../../../../ch/javasoft/metabolic/efm/config/Config.html" title="class in ch.javasoft.metabolic.efm.config">Config</A>&nbsp;config,
                                             <A HREF="../../../../../ch/javasoft/metabolic/efm/model/NetworkEfmModel.html" title="interface in ch.javasoft.metabolic.efm.model">NetworkEfmModel</A>&nbsp;model,
                                             <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Iterable.html" title="class or interface in java.lang">Iterable</A>&lt;<A HREF="../../../../../ch/javasoft/metabolic/efm/model/AbstractColumnToFluxDistributionConverter.html" title="type parameter in AbstractColumnToFluxDistributionConverter">Col</A>&gt;&nbsp;columns,
                                             <A HREF="../../../../../ch/javasoft/metabolic/efm/output/EfmOutputCallback.html" title="interface in ch.javasoft.metabolic.efm.output">EfmOutputCallback</A>&nbsp;callback)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Writes the columns to the specified callback, including uncompression of
 flux modes and appending of external-to-external modes.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;long</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/metabolic/efm/model/AbstractColumnToFluxDistributionConverter.html#writeE2eReactionsToCallback(ch.javasoft.metabolic.efm.config.Config, ch.javasoft.metabolic.efm.model.NetworkEfmModel, java.lang.Iterable, ch.javasoft.metabolic.efm.output.EfmOutputCallback)">writeE2eReactionsToCallback</A></B>(<A HREF="../../../../../ch/javasoft/metabolic/efm/config/Config.html" title="class in ch.javasoft.metabolic.efm.config">Config</A>&nbsp;config,
                                                       <A HREF="../../../../../ch/javasoft/metabolic/efm/model/NetworkEfmModel.html" title="interface in ch.javasoft.metabolic.efm.model">NetworkEfmModel</A>&nbsp;model,
                                                       <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Iterable.html" title="class or interface in java.lang">Iterable</A>&lt;<A HREF="../../../../../ch/javasoft/metabolic/efm/model/AbstractColumnToFluxDistributionConverter.html" title="type parameter in AbstractColumnToFluxDistributionConverter">Col</A>&gt;&nbsp;columns,
                                                       <A HREF="../../../../../ch/javasoft/metabolic/efm/output/EfmOutputCallback.html" title="interface in ch.javasoft.metabolic.efm.output">EfmOutputCallback</A>&nbsp;callback)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;For every external-to-external (e2e) reactions (a reactions which is 
 uptake and excretion reaction at the same time), we add an EFM.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/metabolic/efm/model/AbstractColumnToFluxDistributionConverter.html#writeFluxDistributionToCallback(ch.javasoft.metabolic.MetabolicNetwork, ch.javasoft.metabolic.efm.config.Config, ch.javasoft.metabolic.FluxDistribution, long, ch.javasoft.metabolic.efm.output.EfmOutputCallback)">writeFluxDistributionToCallback</A></B>(<A HREF="../../../../../ch/javasoft/metabolic/MetabolicNetwork.html" title="interface in ch.javasoft.metabolic">MetabolicNetwork</A>&nbsp;metaNet,
                                                               <A HREF="../../../../../ch/javasoft/metabolic/efm/config/Config.html" title="class in ch.javasoft.metabolic.efm.config">Config</A>&nbsp;config,
                                                               <A HREF="../../../../../ch/javasoft/metabolic/FluxDistribution.html" title="interface in ch.javasoft.metabolic">FluxDistribution</A>&nbsp;dist,
                                                               long&nbsp;efmCount,
                                                               <A HREF="../../../../../ch/javasoft/metabolic/efm/output/EfmOutputCallback.html" title="interface in ch.javasoft.metabolic.efm.output">EfmOutputCallback</A>&nbsp;callback)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Uncompresses the flux distribution, normalizes it (if necessary) and 
 writes it to the given callback.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#clone()" title="class or interface in java.lang">clone</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#equals(java.lang.Object)" title="class or interface in java.lang">equals</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#hashCode()" title="class or interface in java.lang">hashCode</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#toString()" title="class or interface in java.lang">toString</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ FIELD DETAIL =========== -->

<A NAME="field_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Field Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="columnHome"><!-- --></A><H3>
columnHome</H3>
<PRE>
protected final <A HREF="../../../../../ch/javasoft/metabolic/efm/column/ColumnHome.html" title="interface in ch.javasoft.metabolic.efm.column">ColumnHome</A>&lt;<A HREF="../../../../../ch/javasoft/metabolic/efm/model/AbstractColumnToFluxDistributionConverter.html" title="type parameter in AbstractColumnToFluxDistributionConverter">N</A> extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>,<A HREF="../../../../../ch/javasoft/metabolic/efm/model/AbstractColumnToFluxDistributionConverter.html" title="type parameter in AbstractColumnToFluxDistributionConverter">Col</A> extends <A HREF="../../../../../ch/javasoft/metabolic/efm/column/Column.html" title="interface in ch.javasoft.metabolic.efm.column">Column</A>&gt; <A HREF="../../../../../src-html/ch/javasoft/metabolic/efm/model/AbstractColumnToFluxDistributionConverter.html#line.68"><B>columnHome</B></A></PRE>
<DL>
<DL>
</DL>
</DL>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="AbstractColumnToFluxDistributionConverter(ch.javasoft.metabolic.efm.column.ColumnHome)"><!-- --></A><H3>
AbstractColumnToFluxDistributionConverter</H3>
<PRE>
public <A HREF="../../../../../src-html/ch/javasoft/metabolic/efm/model/AbstractColumnToFluxDistributionConverter.html#line.70"><B>AbstractColumnToFluxDistributionConverter</B></A>(<A HREF="../../../../../ch/javasoft/metabolic/efm/column/ColumnHome.html" title="interface in ch.javasoft.metabolic.efm.column">ColumnHome</A>&lt;<A HREF="../../../../../ch/javasoft/metabolic/efm/model/AbstractColumnToFluxDistributionConverter.html" title="type parameter in AbstractColumnToFluxDistributionConverter">N</A>,<A HREF="../../../../../ch/javasoft/metabolic/efm/model/AbstractColumnToFluxDistributionConverter.html" title="type parameter in AbstractColumnToFluxDistributionConverter">Col</A>&gt;&nbsp;columnHome)</PRE>
<DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="writeColumnsToCallback(ch.javasoft.metabolic.efm.config.Config, ch.javasoft.metabolic.efm.model.NetworkEfmModel, java.lang.Iterable, ch.javasoft.metabolic.efm.output.EfmOutputCallback)"><!-- --></A><H3>
writeColumnsToCallback</H3>
<PRE>
public void <A HREF="../../../../../src-html/ch/javasoft/metabolic/efm/model/AbstractColumnToFluxDistributionConverter.html#line.114"><B>writeColumnsToCallback</B></A>(<A HREF="../../../../../ch/javasoft/metabolic/efm/config/Config.html" title="class in ch.javasoft.metabolic.efm.config">Config</A>&nbsp;config,
                                   <A HREF="../../../../../ch/javasoft/metabolic/efm/model/NetworkEfmModel.html" title="interface in ch.javasoft.metabolic.efm.model">NetworkEfmModel</A>&nbsp;model,
                                   <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Iterable.html" title="class or interface in java.lang">Iterable</A>&lt;<A HREF="../../../../../ch/javasoft/metabolic/efm/model/AbstractColumnToFluxDistributionConverter.html" title="type parameter in AbstractColumnToFluxDistributionConverter">Col</A>&gt;&nbsp;columns,
                                   <A HREF="../../../../../ch/javasoft/metabolic/efm/output/EfmOutputCallback.html" title="interface in ch.javasoft.metabolic.efm.output">EfmOutputCallback</A>&nbsp;callback)
                            throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></PRE>
<DL>
<DD>Writes the columns to the specified callback, including uncompression of
 flux modes and appending of external-to-external modes. The method uses
 multiple threads to perform this operation.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../ch/javasoft/metabolic/efm/model/ColumnToFluxDistributionConverter.html#writeColumnsToCallback(ch.javasoft.metabolic.efm.config.Config, ch.javasoft.metabolic.efm.model.NetworkEfmModel, java.lang.Iterable, ch.javasoft.metabolic.efm.output.EfmOutputCallback)">writeColumnsToCallback</A></CODE> in interface <CODE><A HREF="../../../../../ch/javasoft/metabolic/efm/model/ColumnToFluxDistributionConverter.html" title="interface in ch.javasoft.metabolic.efm.model">ColumnToFluxDistributionConverter</A>&lt;<A HREF="../../../../../ch/javasoft/metabolic/efm/model/AbstractColumnToFluxDistributionConverter.html" title="type parameter in AbstractColumnToFluxDistributionConverter">N</A> extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>,<A HREF="../../../../../ch/javasoft/metabolic/efm/model/AbstractColumnToFluxDistributionConverter.html" title="type parameter in AbstractColumnToFluxDistributionConverter">Col</A> extends <A HREF="../../../../../ch/javasoft/metabolic/efm/column/Column.html" title="interface in ch.javasoft.metabolic.efm.column">Column</A>&gt;</CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>config</CODE> - configuration stuff, e.g. to find out about the
                                                desired normalization<DD><CODE>model</CODE> - the efm model, usually canonical or nullspace<DD><CODE>columns</CODE> - the columns, w/o external-to-external efms<DD><CODE>callback</CODE> - the callback to write to
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></CODE> - if an i/o exception occurs</DL>
</DD>
</DL>
<HR>

<A NAME="writeE2eReactionsToCallback(ch.javasoft.metabolic.efm.config.Config, ch.javasoft.metabolic.efm.model.NetworkEfmModel, java.lang.Iterable, ch.javasoft.metabolic.efm.output.EfmOutputCallback)"><!-- --></A><H3>
writeE2eReactionsToCallback</H3>
<PRE>
protected long <A HREF="../../../../../src-html/ch/javasoft/metabolic/efm/model/AbstractColumnToFluxDistributionConverter.html#line.200"><B>writeE2eReactionsToCallback</B></A>(<A HREF="../../../../../ch/javasoft/metabolic/efm/config/Config.html" title="class in ch.javasoft.metabolic.efm.config">Config</A>&nbsp;config,
                                           <A HREF="../../../../../ch/javasoft/metabolic/efm/model/NetworkEfmModel.html" title="interface in ch.javasoft.metabolic.efm.model">NetworkEfmModel</A>&nbsp;model,
                                           <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Iterable.html" title="class or interface in java.lang">Iterable</A>&lt;<A HREF="../../../../../ch/javasoft/metabolic/efm/model/AbstractColumnToFluxDistributionConverter.html" title="type parameter in AbstractColumnToFluxDistributionConverter">Col</A>&gt;&nbsp;columns,
                                           <A HREF="../../../../../ch/javasoft/metabolic/efm/output/EfmOutputCallback.html" title="interface in ch.javasoft.metabolic.efm.output">EfmOutputCallback</A>&nbsp;callback)
                                    throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></PRE>
<DL>
<DD>For every external-to-external (e2e) reactions (a reactions which is 
 uptake and excretion reaction at the same time), we add an EFM. This EFM 
 has flux value one for the e2e reaction, zero for all other reactions. If 
 the 2e2 reaction is reversible, another EFM with -1 at this reaction is
 added.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>the total number of EFMs, including the e2e EFMs already written
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="writeFluxDistributionToCallback(ch.javasoft.metabolic.MetabolicNetwork, ch.javasoft.metabolic.efm.config.Config, ch.javasoft.metabolic.FluxDistribution, long, ch.javasoft.metabolic.efm.output.EfmOutputCallback)"><!-- --></A><H3>
writeFluxDistributionToCallback</H3>
<PRE>
protected void <A HREF="../../../../../src-html/ch/javasoft/metabolic/efm/model/AbstractColumnToFluxDistributionConverter.html#line.239"><B>writeFluxDistributionToCallback</B></A>(<A HREF="../../../../../ch/javasoft/metabolic/MetabolicNetwork.html" title="interface in ch.javasoft.metabolic">MetabolicNetwork</A>&nbsp;metaNet,
                                               <A HREF="../../../../../ch/javasoft/metabolic/efm/config/Config.html" title="class in ch.javasoft.metabolic.efm.config">Config</A>&nbsp;config,
                                               <A HREF="../../../../../ch/javasoft/metabolic/FluxDistribution.html" title="interface in ch.javasoft.metabolic">FluxDistribution</A>&nbsp;dist,
                                               long&nbsp;efmCount,
                                               <A HREF="../../../../../ch/javasoft/metabolic/efm/output/EfmOutputCallback.html" title="interface in ch.javasoft.metabolic.efm.output">EfmOutputCallback</A>&nbsp;callback)</PRE>
<DL>
<DD>Uncompresses the flux distribution, normalizes it (if necessary) and 
 writes it to the given callback. Note that this method is called from
 multiple threads, thus, the actual call to the 
 <A HREF="../../../../../ch/javasoft/metabolic/efm/output/EfmOutputCallback.html" title="interface in ch.javasoft.metabolic.efm.output"><CODE>callback</CODE></A> is synchronized.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="createFluxDistributionFromColumn(ch.javasoft.metabolic.efm.config.Config,ch.javasoft.metabolic.efm.model.NetworkEfmModel,ch.javasoft.metabolic.efm.column.Column)"><!-- --></A><A NAME="createFluxDistributionFromColumn(ch.javasoft.metabolic.efm.config.Config, ch.javasoft.metabolic.efm.model.NetworkEfmModel, Col)"><!-- --></A><H3>
createFluxDistributionFromColumn</H3>
<PRE>
public <A HREF="../../../../../ch/javasoft/metabolic/FluxDistribution.html" title="interface in ch.javasoft.metabolic">FluxDistribution</A> <A HREF="../../../../../src-html/ch/javasoft/metabolic/efm/model/AbstractColumnToFluxDistributionConverter.html#line.273"><B>createFluxDistributionFromColumn</B></A>(<A HREF="../../../../../ch/javasoft/metabolic/efm/config/Config.html" title="class in ch.javasoft.metabolic.efm.config">Config</A>&nbsp;config,
                                                         <A HREF="../../../../../ch/javasoft/metabolic/efm/model/NetworkEfmModel.html" title="interface in ch.javasoft.metabolic.efm.model">NetworkEfmModel</A>&nbsp;model,
                                                         <A HREF="../../../../../ch/javasoft/metabolic/efm/model/AbstractColumnToFluxDistributionConverter.html" title="type parameter in AbstractColumnToFluxDistributionConverter">Col</A>&nbsp;column)</PRE>
<DL>
<DD>Creates a numeric flux distribution from a binary column. The nullspace
 is computed to do so. Furthermore, duplicated reversible reactions are
 compressed again.
 <p>
 Deletages to <A HREF="../../../../../ch/javasoft/metabolic/efm/model/AbstractColumnToFluxDistributionConverter.html#createFluxDistributionFromColumn(ch.javasoft.util.logging.LogFragmenter, ch.javasoft.metabolic.efm.config.Config, ch.javasoft.metabolic.efm.model.NetworkEfmModel, Col, ch.javasoft.metabolic.efm.output.CallbackGranularity)"><CODE>createFluxDistributionFromColumn(LogFragmenter, Config, NetworkEfmModel, Column, CallbackGranularity)</CODE></A>
 with <code>null</code> as log fragmenter.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../ch/javasoft/metabolic/efm/model/ColumnToFluxDistributionConverter.html#createFluxDistributionFromColumn(ch.javasoft.metabolic.efm.config.Config, ch.javasoft.metabolic.efm.model.NetworkEfmModel, Col)">createFluxDistributionFromColumn</A></CODE> in interface <CODE><A HREF="../../../../../ch/javasoft/metabolic/efm/model/ColumnToFluxDistributionConverter.html" title="interface in ch.javasoft.metabolic.efm.model">ColumnToFluxDistributionConverter</A>&lt;<A HREF="../../../../../ch/javasoft/metabolic/efm/model/AbstractColumnToFluxDistributionConverter.html" title="type parameter in AbstractColumnToFluxDistributionConverter">N</A> extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>,<A HREF="../../../../../ch/javasoft/metabolic/efm/model/AbstractColumnToFluxDistributionConverter.html" title="type parameter in AbstractColumnToFluxDistributionConverter">Col</A> extends <A HREF="../../../../../ch/javasoft/metabolic/efm/column/Column.html" title="interface in ch.javasoft.metabolic.efm.column">Column</A>&gt;</CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>config</CODE> - configuration stuff, e.g. to find out about the
                                                desired normalization<DD><CODE>model</CODE> - the efm model, usually canonical or nullspace<DD><CODE>column</CODE> - the column
<DT><B>Returns:</B><DD>the flux distribution</DL>
</DD>
</DL>
<HR>

<A NAME="createFluxDistributionFromColumn(ch.javasoft.util.logging.LogFragmenter,ch.javasoft.metabolic.efm.config.Config,ch.javasoft.metabolic.efm.model.NetworkEfmModel,ch.javasoft.metabolic.efm.column.Column,ch.javasoft.metabolic.efm.output.CallbackGranularity)"><!-- --></A><A NAME="createFluxDistributionFromColumn(ch.javasoft.util.logging.LogFragmenter, ch.javasoft.metabolic.efm.config.Config, ch.javasoft.metabolic.efm.model.NetworkEfmModel, Col, ch.javasoft.metabolic.efm.output.CallbackGranularity)"><!-- --></A><H3>
createFluxDistributionFromColumn</H3>
<PRE>
protected abstract <A HREF="../../../../../ch/javasoft/metabolic/FluxDistribution.html" title="interface in ch.javasoft.metabolic">FluxDistribution</A> <A HREF="../../../../../src-html/ch/javasoft/metabolic/efm/model/AbstractColumnToFluxDistributionConverter.html#line.277"><B>createFluxDistributionFromColumn</B></A>(<A HREF="../../../../../ch/javasoft/util/logging/LogFragmenter.html" title="class in ch.javasoft.util.logging">LogFragmenter</A>&nbsp;log,
                                                                     <A HREF="../../../../../ch/javasoft/metabolic/efm/config/Config.html" title="class in ch.javasoft.metabolic.efm.config">Config</A>&nbsp;config,
                                                                     <A HREF="../../../../../ch/javasoft/metabolic/efm/model/NetworkEfmModel.html" title="interface in ch.javasoft.metabolic.efm.model">NetworkEfmModel</A>&nbsp;model,
                                                                     <A HREF="../../../../../ch/javasoft/metabolic/efm/model/AbstractColumnToFluxDistributionConverter.html" title="type parameter in AbstractColumnToFluxDistributionConverter">Col</A>&nbsp;column,
                                                                     <A HREF="../../../../../ch/javasoft/metabolic/efm/output/CallbackGranularity.html" title="enum in ch.javasoft.metabolic.efm.output">CallbackGranularity</A>&nbsp;granularity)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/AbstractColumnToFluxDistributionConverter.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../ch/javasoft/metabolic/efm/model/AbstractColumnInspectorModifier.html" title="class in ch.javasoft.metabolic.efm.model"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../ch/javasoft/metabolic/efm/model/AbstractModelPersister.html" title="class in ch.javasoft.metabolic.efm.model"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?ch/javasoft/metabolic/efm/model/AbstractColumnToFluxDistributionConverter.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="AbstractColumnToFluxDistributionConverter.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
